1. APIs
SwaggerHub Registry API
  • APIs
    • Retrieves a list of currently defined APIs in APIs.json format.
      GET
    • Retrieves an APIs.json listing of all APIs defined for this owner
      GET
    • Deletes the specified API
      DELETE
    • Retrieves an APIs.json listing for all API versions for this owner and API
      GET
    • Saves the provided Swagger definition
      POST
    • Deletes API's collaboration
      DELETE
    • Gets API's collaboration
      GET
    • Updates API's collaboration
      PUT
    • Deletes a particular version of the specified API
      DELETE
    • Retrieves the Swagger definition for the specified API and version
      GET
    • Returns comments for the specified API version
      GET
    • Retrieves the Swagger definition for the specified API and version in JSON format
      GET
    • Retrieves the Swagger definition for the specified API and version in YAML format
      GET
    • Retrieves a list of currently defined APIs and Domains in APIs.json format
      GET
  • Domains
    • Retrieves a list of currently defined domains in APIs.json format
      GET
    • Retrieves an APIs.json listing of all domains defined for this owner
      GET
    • Deletes the specified domain
      DELETE
    • Retrieves an APIs.json listing for all domain versions for this owner and domain
      GET
    • Saves the provided Swagger definition of a domain
      POST
    • Deletes a particular version of the specified domain
      DELETE
    • Retrieves the Swagger definition for the specified domain and version
      GET
    • Returns comments for the specified domain version
      GET
    • Retrieves the definition for the specified domain and version in JSON format
      GET
    • Retrieves the definition for the specified domain and version in YAML format
      GET
  • Schemas
    • Schemas
      • ApisJson
      • ApisJsonApi
      • ApisJsonProperty
      • ClosableComment
      • Collaboration
      • CollaborationHint
      • CollaborationMember
      • CollaborationMembership
      • CollaborationTeamMembership
      • Comment
      • Page
      • User
  1. APIs

Retrieves an APIs.json listing for all API versions for this owner and API

GET
/apis/{owner}/{api}

Request

Path Params

Responses

🟢200A list of API versions in APIs.json format
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.swaggerhub.com/apis//'
Response Response Example
{
    "apis": [
        {
            "description": "This is a sample Petstore server.",
            "name": "petstore",
            "properties": [
                {
                    "type": "Swagger",
                    "url": "https://api.swaggerhub.com/apis/username/petstore/1.1"
                },
                {
                    "type": "X-Version",
                    "value": "1.1"
                },
                {
                    "type": "X-Created",
                    "value": "2017-01-16T13:39:06Z"
                },
                {
                    "type": "X-Modified",
                    "value": "2017-01-25T11:48:13Z"
                },
                {
                    "type": "X-Published",
                    "value": "true"
                },
                {
                    "type": "X-Versions",
                    "value": "1.0,*1.1,1.1-oas3"
                },
                {
                    "type": "X-Private",
                    "value": "false"
                },
                {
                    "type": "X-Notifications",
                    "value": "true"
                }
            ],
            "tags": [
                "string"
            ]
        }
    ],
    "created": "2019-08-24T14:15:22.123Z",
    "description": "Default registry listing",
    "modified": "2019-08-24T14:15:22.123Z",
    "name": "Default listing",
    "offset": 0,
    "specificationVersion": "string",
    "totalCount": 0,
    "url": "string"
}
Modified at 2022-09-11 16:53:02
Previous
Deletes the specified API
Next
Saves the provided Swagger definition
Built with